SinkEntry
Date: 2017-06-10

org.gcube.informationsystem.collector.impl.porttypes

## Class SinkEntry

- java.lang.Object
- - GCUBEPortType
  - - org.gcube.informationsystem.collector.impl.porttypes.SinkEntry

- All Implemented Interfaces:
    java.rmi.Remote, org.oasis.wsrf.servicegroup.ServiceGroupEntry

      public class SinkEntry
      extends GCUBEPortType
      implements org.oasis.wsrf.servicegroup.ServiceGroupEntry

  A ServiceGroupEntry implemenation.
  It is used as base implementation both of the SinkEntry and of Entry portType.
  Author:
    Manuele Simi (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SinkEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.oasis.wsrf.properties.GetResourcePropertyResponse` | `getResourceProperty(javax.xml.namespace.QName name)` Gets WS-Resource property by using the `GetResourcePropertyProvider`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SinkEntry

          public SinkEntry()

  - ### Method Detail

    - #### getResourceProperty

          public org.oasis.wsrf.properties.GetResourcePropertyResponse getResourceProperty(javax.xml.namespace.QName name)
                                                                                    throws java.rmi.RemoteException,
                                                                                           org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType,
                                                                                           org.oasis.wsrf.properties.ResourceUnknownFaultType

      Gets WS-Resource property by using the `GetResourcePropertyProvider`
      Specified by:
        `getResourceProperty` in interface `org.oasis.wsrf.servicegroup.ServiceGroupEntry`
      Parameters:
        `name` - the full qualified name of the property
      Returns:
        the resource property
      Throws:
        `java.rmi.RemoteException` - throws by the GetResourcePropertyProvider
        `org.oasis.wsrf.properties.InvalidResourcePropertyQNameFaultType` - throws by the GetResourcePropertyProvider
        `org.oasis.wsrf.properties.ResourceUnknownFaultType` - throws by the GetResourcePropertyProvider